PROGRAM decla(output);

CONST eins=1;
     {bereich=1..5; Bereich ist keine Konstante!}
      punkt='.';

TYPE  spiel=(poker,skat,schach,roulette);
      musik=(klavier,harfe,gitarre);
      position=0..1000;
      woche=(mo,di,mi{,do  reserviertes Wort!},fr,sa,so);

      trigo=(sinus,cosinus,tangens,cotangens);
      grundtrigo=sinus..tangens;
      tarif=(tf1,tf2,tf3,tf4,tf5,tf6,at);
      normtarif=tf1..tf6;
      ausertar=at..at;

VAR  {'a':char; Hochkommas falsch!}
      hell:(gelb,orange);
     {glueckspiel:(poker,roulette);kein zusammenhaengender Unterbereich von SPIEL!}
      instrument:klavier..gitarre;
      wochenanfang:mo..mi;
      tag:1..31;
      monat:1..12;
     {woche:1..52; Variable doppelt definiert!}
      gross:100..maxint;
     {instrument:musik; Variable doppelt definiert!}

BEGIN
  writeln('Alle ungueltigen Declarationen sind als Remark geschrieben.');
  writeln('Alle anderen Declarationen sind gueltig.')
END.